All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH 1/2] Avoid starting rpcbind daemon twice during boot
@ 2013-11-15  6:34 Yue Tao
  2013-11-15  6:34 ` [PATCH 2/2] Add e2fsprogs-mke2fs and e2fsprogs-e2fsck as recommend packages Yue Tao
  2013-11-15 15:15 ` [PATCH 1/2] Avoid starting rpcbind daemon twice during boot Saul Wold
  0 siblings, 2 replies; 4+ messages in thread
From: Yue Tao @ 2013-11-15  6:34 UTC (permalink / raw)
  To: openembedded-core

Check whether rpcbind daemon already run before starting it.

Signed-off-by: Yue Tao <Yue.Tao@windriver.com>
---
 .../initscripts/initscripts-1.0/mountnfs.sh        |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

diff --git a/meta/recipes-core/initscripts/initscripts-1.0/mountnfs.sh b/meta/recipes-core/initscripts/initscripts-1.0/mountnfs.sh
index 4fffe4e..a03070d 100755
--- a/meta/recipes-core/initscripts/initscripts-1.0/mountnfs.sh
+++ b/meta/recipes-core/initscripts/initscripts-1.0/mountnfs.sh
@@ -69,9 +69,12 @@ if test "$rpcbind" = yes
 then
 	if test -x /usr/sbin/rpcbind
 	then
-		echo -n "Starting rpcbind... "
-		start-stop-daemon --start --quiet --exec /usr/sbin/rpcbind
-		sleep 2
+		service rpcbind status > /dev/null
+		if [ $? != 0 ]; then
+			echo -n "Starting rpcbind..."
+			start-stop-daemon --start --quiet --exec /usr/sbin/rpcbind
+			sleep 2
+		fi
 	fi
 fi
 
-- 
1.7.5.4



^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2013-11-15 15:15 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-11-15  6:34 [PATCH 1/2] Avoid starting rpcbind daemon twice during boot Yue Tao
2013-11-15  6:34 ` [PATCH 2/2] Add e2fsprogs-mke2fs and e2fsprogs-e2fsck as recommend packages Yue Tao
2013-11-15  9:08   ` Hans Beckérus
2013-11-15 15:15 ` [PATCH 1/2] Avoid starting rpcbind daemon twice during boot Saul Wold

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.